Skip to main content
GET
/
v1
/
conversion
/
{id}
Retrieve Conversion
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/conversion/{id} \
  --header 'x-auth-token: <api-key>'
{
  "account_name": "UQPAY",
  "conversion_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
  "short_reference_id": "P220406-LLCVLRM",
  "creator": "UQPAY",
  "client_rate": "1.355957",
  "buy_amount": "7.37",
  "buy_currency": "SGD",
  "sell_amount": "10",
  "sell_currency": "USD",
  "create_time": "2024-08-22T17:12:58+08:00",
  "settle_time": "2024-08-22T17:13:00+08:00",
  "conversion_status": "FUNDS_ARRIVED"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"

Response

OK - Successfully retrieved a conversion.

account_name
string
required

The name of the customer associated with the account.

Example:

"UQPAY"

conversion_id
string
required

A unique UUID identifier for the conversion transaction.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"

short_reference_id
string
required

The reference generated by the system to identify the entity.

Example:

"P220406-LLCVLRM"

creator
string
required

The entity that initiated the conversion transaction.

Example:

"UQPAY"

client_rate
string
required

The exchange rate applied to the transaction.

Example:

"1.355957"

buy_amount
string
required

The amount of the currency that was purchased in the conversion.

Example:

"7.37"

buy_currency
string
required

Currency code ISO_4217.

Example:

"SGD"

sell_amount
string
required

The amount of the currency that was sold in the conversion.

Example:

"10"

sell_currency
string
required

Currency code ISO_4217.

Example:

"USD"

create_time
string
required

The timestamp when the conversion transaction was initiated.

Example:

"2024-08-22T17:12:58+08:00"

settle_time
string
required

The timestamp when the conversion transaction was successfully settled.

Example:

"2024-08-22T17:13:00+08:00"

conversion_status
enum<string>
required

The current status of the conversion transaction.

  • PROCESSING: Currency conversion request is being processed by the system.
  • AWAITING_FUNDS: System is waiting for the source funds to be available.
  • TRADE_SETTLED: Currency exchange has been executed at the agreed rate.
  • FUNDS_ARRIVED: Converted funds have been received in the target currency.
Available options:
PROCESSING,
AWAITING_FUNDS,
TRADE_SETTLED,
FUNDS_ARRIVED
Example:

"FUNDS_ARRIVED"